summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2018-10-14 06:59:59 -0400
committerJesse Luehrs <doy@tozt.net>2018-10-14 06:59:59 -0400
commitcb4acaa6ef28edc049fe1e31f39b3cf1dc7c7409 (patch)
tree7259e38bc60f9d716597453bcf6e2967cbcf2bf1 /bin
parent66dabb4ea24b6f71128c1410040c06ea90094a2a (diff)
downloadpuppet-tozt-cb4acaa6ef28edc049fe1e31f39b3cf1dc7c7409.tar.gz
puppet-tozt-cb4acaa6ef28edc049fe1e31f39b3cf1dc7c7409.zip
better way to ensure we sleep long enough
Diffstat (limited to 'bin')
-rwxr-xr-xbin/bootstrap4
-rwxr-xr-xbin/launch2
2 files changed, 4 insertions, 2 deletions
diff --git a/bin/bootstrap b/bin/bootstrap
index bd7929f..a1db482 100755
--- a/bin/bootstrap
+++ b/bin/bootstrap
@@ -21,6 +21,10 @@ ensure_conf_exists() {
remote "cd '$conf_location' && git submodule update --init --recursive"
}
+while ! remote true; do
+ sleep 5
+done
+
if remote test ! -e /usr/bin/pacman; then
remote apt-get -y update
remote apt-get -y install git
diff --git a/bin/launch b/bin/launch
index b6db692..06dc07d 100755
--- a/bin/launch
+++ b/bin/launch
@@ -22,8 +22,6 @@ echo "Assigning floating ip to tozt..."
doctl compute floating-ip-action assign 138.197.58.11 "$id" || true
echo "Done assigning floating ip"
-sleep 5
-
echo "Provisioning droplet..."
"$(dirname "$0")/bootstrap"